# Method: projects.locations.workflowTemplates.list

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.workflowTemplates/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.workflowTemplates/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.workflowTemplates/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.workflowTemplates/list#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.workflowTemplates/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.workflowTemplates/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.workflowTemplates/list#try-it)

Lists workflows that match the specified filter in the request.

### HTTP request

`GET https://dataproc.googleapis.com/v1/{parent=projects/*/locations/*}/workflowTemplates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the region or location, as described in <https://cloud.google.com/apis/design/resource_names>. - For `projects.regions.workflowTemplates,list`, the resource name of the region has the following format: `projects/{projectId}/regions/{region}` - For `projects.locations.workflowTemplates.list`, the resource name of the location has the following format: `projects/{projectId}/locations/{location}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataproc.workflowTemplates.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of results to return in each response. |
| `pageToken` | `string` Optional. The page token, returned by a previous call, to request the next page of results. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/ListWorkflowTemplatesResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`
- `
  https://www.googleapis.com/auth/dataproc.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).